// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		371AA201242A4D9500D29F15 /* TableActionCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 371AA200242A4D9500D29F15 /* TableActionCell.swift */; };
		371AA203242A4DBB00D29F15 /* TableActionController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 371AA202242A4DBB00D29F15 /* TableActionController.swift */; };
		371AB5DC2414C7610005344C /* BasicViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 371AB5DB2414C7610005344C /* BasicViewController.swift */; };
		373DFF15241E28BD00D392FA /* CustomTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 373DFF14241E28BD00D392FA /* CustomTableViewController.swift */; };
		373DFF17241E2BD000D392FA /* CustomTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 373DFF16241E2BD000D392FA /* CustomTableViewCell.swift */; };
		3752DEE8241CE41F0056A722 /* SimpleTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3752DEE7241CE41F0056A722 /* SimpleTableViewController.swift */; };
		3776E1AE240E983800E9887A /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3776E1AD240E983800E9887A /* AppDelegate.swift */; };
		3776E1B0240E983800E9887A /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3776E1AF240E983800E9887A /* SceneDelegate.swift */; };
		3776E1B2240E983800E9887A /* MainViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 3776E1B1240E983800E9887A /* MainViewController.swift */; };
		3776E1B5240E983800E9887A /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 3776E1B3240E983800E9887A /* Main.storyboard */; };
		3776E1B7240E983A00E9887A /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 3776E1B6240E983A00E9887A /* Assets.xcassets */; };
		3776E1BA240E983A00E9887A /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 3776E1B8240E983A00E9887A /* LaunchScreen.storyboard */; };
		379A9460242109CB005FB68A /* AlertViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 379A945F242109CB005FB68A /* AlertViewController.swift */; };
		379A946224210F68005FB68A /* AlertTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 379A946124210F68005FB68A /* AlertTableViewCell.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		371AA200242A4D9500D29F15 /* TableActionCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TableActionCell.swift; sourceTree = "<group>"; };
		371AA202242A4DBB00D29F15 /* TableActionController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TableActionController.swift; sourceTree = "<group>"; };
		371AB5DB2414C7610005344C /* BasicViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BasicViewController.swift; sourceTree = "<group>"; };
		373DFF14241E28BD00D392FA /* CustomTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomTableViewController.swift; sourceTree = "<group>"; };
		373DFF16241E2BD000D392FA /* CustomTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomTableViewCell.swift; sourceTree = "<group>"; };
		3752DEE7241CE41F0056A722 /* SimpleTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SimpleTableViewController.swift; sourceTree = "<group>"; };
		3776E1AA240E983800E9887A /* iOSProjUI.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = iOSProjUI.app; sourceTree = BUILT_PRODUCTS_DIR; };
		3776E1AD240E983800E9887A /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		3776E1AF240E983800E9887A /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		3776E1B1240E983800E9887A /* MainViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainViewController.swift; sourceTree = "<group>"; };
		3776E1B4240E983800E9887A /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		3776E1B6240E983A00E9887A /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		3776E1B9240E983A00E9887A /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		3776E1BB240E983A00E9887A /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		379A945F242109CB005FB68A /* AlertViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AlertViewController.swift; sourceTree = "<group>"; };
		379A946124210F68005FB68A /* AlertTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AlertTableViewCell.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		3776E1A7240E983800E9887A /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		371AA1FF242A4D0200D29F15 /* S7-TableActionController */ = {
			isa = PBXGroup;
			children = (
				371AA202242A4DBB00D29F15 /* TableActionController.swift */,
				371AA200242A4D9500D29F15 /* TableActionCell.swift */,
			);
			path = "S7-TableActionController";
			sourceTree = "<group>";
		};
		371AB5D92414C6F00005344C /* tutor */ = {
			isa = PBXGroup;
			children = (
				371AB5DA2414C7020005344C /* S1-BasicUIView */,
				3752DEE6241CE3FE0056A722 /* S4-SimpleTableVIew */,
				373DFF13241E283F00D392FA /* S5-CustomTableVIew */,
				379A945E24210942005FB68A /* S6-UIAlertController */,
				371AA1FF242A4D0200D29F15 /* S7-TableActionController */,
			);
			path = tutor;
			sourceTree = "<group>";
		};
		371AB5DA2414C7020005344C /* S1-BasicUIView */ = {
			isa = PBXGroup;
			children = (
				371AB5DB2414C7610005344C /* BasicViewController.swift */,
			);
			path = "S1-BasicUIView";
			sourceTree = "<group>";
		};
		373DFF13241E283F00D392FA /* S5-CustomTableVIew */ = {
			isa = PBXGroup;
			children = (
				373DFF14241E28BD00D392FA /* CustomTableViewController.swift */,
				373DFF16241E2BD000D392FA /* CustomTableViewCell.swift */,
			);
			path = "S5-CustomTableVIew";
			sourceTree = "<group>";
		};
		3752DEE6241CE3FE0056A722 /* S4-SimpleTableVIew */ = {
			isa = PBXGroup;
			children = (
				3752DEE7241CE41F0056A722 /* SimpleTableViewController.swift */,
			);
			path = "S4-SimpleTableVIew";
			sourceTree = "<group>";
		};
		3776E1A1240E983800E9887A = {
			isa = PBXGroup;
			children = (
				3776E1AC240E983800E9887A /* iOSProjUI */,
				3776E1AB240E983800E9887A /* Products */,
			);
			sourceTree = "<group>";
		};
		3776E1AB240E983800E9887A /* Products */ = {
			isa = PBXGroup;
			children = (
				3776E1AA240E983800E9887A /* iOSProjUI.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		3776E1AC240E983800E9887A /* iOSProjUI */ = {
			isa = PBXGroup;
			children = (
				371AB5D92414C6F00005344C /* tutor */,
				3776E1AD240E983800E9887A /* AppDelegate.swift */,
				3776E1AF240E983800E9887A /* SceneDelegate.swift */,
				3776E1B1240E983800E9887A /* MainViewController.swift */,
				3776E1B3240E983800E9887A /* Main.storyboard */,
				3776E1B6240E983A00E9887A /* Assets.xcassets */,
				3776E1B8240E983A00E9887A /* LaunchScreen.storyboard */,
				3776E1BB240E983A00E9887A /* Info.plist */,
			);
			path = iOSProjUI;
			sourceTree = "<group>";
		};
		379A945E24210942005FB68A /* S6-UIAlertController */ = {
			isa = PBXGroup;
			children = (
				379A945F242109CB005FB68A /* AlertViewController.swift */,
				379A946124210F68005FB68A /* AlertTableViewCell.swift */,
			);
			path = "S6-UIAlertController";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		3776E1A9240E983800E9887A /* iOSProjUI */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 3776E1BE240E983A00E9887A /* Build configuration list for PBXNativeTarget "iOSProjUI" */;
			buildPhases = (
				3776E1A6240E983800E9887A /* Sources */,
				3776E1A7240E983800E9887A /* Frameworks */,
				3776E1A8240E983800E9887A /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = iOSProjUI;
			productName = iOSProjUI;
			productReference = 3776E1AA240E983800E9887A /* iOSProjUI.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		3776E1A2240E983800E9887A /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1130;
				LastUpgradeCheck = 1130;
				ORGANIZATIONNAME = Enoxs;
				TargetAttributes = {
					3776E1A9240E983800E9887A = {
						CreatedOnToolsVersion = 11.3;
					};
				};
			};
			buildConfigurationList = 3776E1A5240E983800E9887A /* Build configuration list for PBXProject "iOSProjUI" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 3776E1A1240E983800E9887A;
			productRefGroup = 3776E1AB240E983800E9887A /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				3776E1A9240E983800E9887A /* iOSProjUI */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		3776E1A8240E983800E9887A /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3776E1BA240E983A00E9887A /* LaunchScreen.storyboard in Resources */,
				3776E1B7240E983A00E9887A /* Assets.xcassets in Resources */,
				3776E1B5240E983800E9887A /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		3776E1A6240E983800E9887A /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				371AA201242A4D9500D29F15 /* TableActionCell.swift in Sources */,
				371AA203242A4DBB00D29F15 /* TableActionController.swift in Sources */,
				379A946224210F68005FB68A /* AlertTableViewCell.swift in Sources */,
				379A9460242109CB005FB68A /* AlertViewController.swift in Sources */,
				3776E1B2240E983800E9887A /* MainViewController.swift in Sources */,
				3776E1AE240E983800E9887A /* AppDelegate.swift in Sources */,
				3752DEE8241CE41F0056A722 /* SimpleTableViewController.swift in Sources */,
				373DFF17241E2BD000D392FA /* CustomTableViewCell.swift in Sources */,
				371AB5DC2414C7610005344C /* BasicViewController.swift in Sources */,
				373DFF15241E28BD00D392FA /* CustomTableViewController.swift in Sources */,
				3776E1B0240E983800E9887A /* SceneDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		3776E1B3240E983800E9887A /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				3776E1B4240E983800E9887A /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		3776E1B8240E983A00E9887A /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				3776E1B9240E983A00E9887A /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		3776E1BC240E983A00E9887A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		3776E1BD240E983A00E9887A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		3776E1BF240E983A00E9887A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 4K38S7YEH5;
				INFOPLIST_FILE = iOSProjUI/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.enoxs.iOSProjUI;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		3776E1C0240E983A00E9887A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 4K38S7YEH5;
				INFOPLIST_FILE = iOSProjUI/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.enoxs.iOSProjUI;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		3776E1A5240E983800E9887A /* Build configuration list for PBXProject "iOSProjUI" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3776E1BC240E983A00E9887A /* Debug */,
				3776E1BD240E983A00E9887A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		3776E1BE240E983A00E9887A /* Build configuration list for PBXNativeTarget "iOSProjUI" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				3776E1BF240E983A00E9887A /* Debug */,
				3776E1C0240E983A00E9887A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 3776E1A2240E983800E9887A /* Project object */;
}
